# SWFButton::addShape

(PHP 5 < 5.3.0, PECL ming SVN)

SWFButton::addShape — Adds a shape to a button

### Description

SWFButton::addShape ( SWFShape `$shape` , int `$flags` ) : void
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Adds the given `shape` to the button.

### Parameters

`shape`

  An SWFShape instance

`flags`

  The following `flags` are valid: `SWFBUTTON_UP`, `SWFBUTTON_OVER`, `SWFBUTTON_DOWN` and `SWFBUTTON_HIT`.

  `SWFBUTTON_HIT` isn't ever displayed, it defines the hit region for the button. That is, everywhere the hit shape would be drawn is considered a "touchable" part of the button.

### Return Values

No value is returned.